Bug 749862 - Exception: device-mapper: reload ioctl failed: Invalid argument
Exception: device-mapper: reload ioctl failed: Invalid argument
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:31bf7db73f5c70593ec2c70c892...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-28 14:00 EDT by Matteo Brancaleoni
Modified: 2013-02-13 03:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:35:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-8hXWT7 (188.86 KB, text/plain)
2011-10-28 14:00 EDT, Matteo Brancaleoni
no flags Details

  None (edit)
Description Matteo Brancaleoni 2011-10-28 14:00:19 EDT
libreport version: 2.0.6
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-1.fc16.x86_64
product:        Fedora
reason:         Exception: device-mapper: reload ioctl failed: Invalid argument
time:           Fri Oct 28 19:54:22 2011
version:        16

anaconda-tb-8hXWT7: Text file, 193390 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 16.22 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/block/__init__.py", line 33, in dm_log
:    raise Exception, message
:  File "/usr/lib64/python2.7/site-packages/block/device.py", line 710, in get_map
:    self._RaidSet__map = _dm.map(name=self.name, table=self.rs.dmTable)
:  File "/usr/lib64/python2.7/site-packages/block/device.py", line 828, in activate
:    self.map.dev.mknod(self.prefix+self.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1522, in handleUdevDMRaidMemberFormat
:    rs.activate(mknod=True)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1649, in handleUdevDeviceFormat
:    self.handleUdevDMRaidMemberFormat(info, device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1067, in addUdevDevice
:    self.handleUdevDeviceFormat(info, device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1879, in _populate
:    self.addUdevDevice(dev)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 1836, in populate
:    self._populate(progressWindow)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 476, in reset
:    cleanupOnly=cleanupOnly)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 104, in storageInitialize
:    storage.reset()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1279, in doKickstart
:    storage.storageInitialize(anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 373, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 88, in return_false
:    func(*args, **kwargs)
:Exception: device-mapper: reload ioctl failed: Invalid argument
Comment 1 Matteo Brancaleoni 2011-10-28 14:00:35 EDT
Created attachment 530706 [details]
File: anaconda-tb-8hXWT7
Comment 2 Matteo Brancaleoni 2011-10-28 14:11:58 EDT
Happened when doing preupgrade from a fully updated FC15 x86_64, as of date reported into report.
Comment 3 Fedora End Of Life 2013-01-16 05:10:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 03:35:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.